## com.sun.jersey.multipart
Class MultiPartMediaTypes

    java.lang.Object
      com.sun.jersey.multipart.MultiPartMediaTypes

    public final class MultiPartMediaTypes

extends java.lang.Object

Convenience `MediaType` (and associated String) manifest constants.

Field Summary
`static java.lang.String` | `MULTIPART_ALTERNATIVE` "multipart/alternative"
`static javax.ws.rs.core.MediaType` | `MULTIPART_ALTERNATIVE_TYPE` "multipart/alternative"
`static java.lang.String` | `MULTIPART_DIGEST` "multipart/digest"
`static javax.ws.rs.core.MediaType` | `MULTIPART_DIGEST_TYPE` "multipart/digest"
`static java.lang.String` | `MULTIPART_MIXED` "multipart/mixed"
`static javax.ws.rs.core.MediaType` | `MULTIPART_MIXED_TYPE` "multipart/mixed"
`static java.lang.String` | `MULTIPART_PARALLEL` "multipart/parallel"
`static javax.ws.rs.core.MediaType` | `MULTIPART_PARELLEL_TYPE` "multipart/parallel"

Constructor Summary
`MultiPartMediaTypes()`

Method Summary
`static javax.ws.rs.core.MediaType` | `createAlternative()`
`static javax.ws.rs.core.MediaType` | `createDigest()`
`static javax.ws.rs.core.MediaType` | `createFormData()`
`static javax.ws.rs.core.MediaType` | `createMixed()`
`static javax.ws.rs.core.MediaType` | `createParallel()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULTIPART_ALTERNATIVE

    public static final java.lang.String MULTIPART_ALTERNATIVE

  "multipart/alternative"

  See Also:
    Constant Field Values

### MULTIPART_ALTERNATIVE_TYPE

    public static final javax.ws.rs.core.MediaType MULTIPART_ALTERNATIVE_TYPE

  "multipart/alternative"

### MULTIPART_DIGEST

    public static final java.lang.String MULTIPART_DIGEST

  "multipart/digest"

  See Also:
    Constant Field Values

### MULTIPART_DIGEST_TYPE

    public static final javax.ws.rs.core.MediaType MULTIPART_DIGEST_TYPE

  "multipart/digest"

### MULTIPART_MIXED

    public static final java.lang.String MULTIPART_MIXED

  "multipart/mixed"

  See Also:
    Constant Field Values

### MULTIPART_MIXED_TYPE

    public static final javax.ws.rs.core.MediaType MULTIPART_MIXED_TYPE

  "multipart/mixed"

### MULTIPART_PARALLEL

    public static final java.lang.String MULTIPART_PARALLEL

  "multipart/parallel"

  See Also:
    Constant Field Values

### MULTIPART_PARELLEL_TYPE

    public static final javax.ws.rs.core.MediaType MULTIPART_PARELLEL_TYPE

  "multipart/parallel"

Constructor Detail

### MultiPartMediaTypes

    public MultiPartMediaTypes()

Method Detail

### createAlternative

    public static javax.ws.rs.core.MediaType createAlternative()

  Returns:
    a "multipart/alternative" with a boundary parameter.

### createDigest

    public static javax.ws.rs.core.MediaType createDigest()

  Returns:
    a "multipart/digest" with a boundary parameter.

### createMixed

    public static javax.ws.rs.core.MediaType createMixed()

  Returns:
    a "multipart/mixed" with a boundary parameter.

### createParallel

    public static javax.ws.rs.core.MediaType createParallel()

  Returns:
    a "multipart/parallel" with a boundary parameter.

### createFormData

    public static javax.ws.rs.core.MediaType createFormData()

  Returns:
    a "multipart/form-data" with a boundary parameter.

Copyright © 2017 Oracle Corporation. All Rights Reserved.